---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libVThreadStackRefTest.dylib'
relocations:
  - { offsetInCU: 0x77, offset: 0x77, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111refCountersE.1, symObjAddr: 0x22F40, symBinAddr: 0x2040, symSize: 0x0 }
  - { offsetInCU: 0x82, offset: 0x82, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_111refCountersE.2, symObjAddr: 0x22F48, symBinAddr: 0x2048, symSize: 0x0 }
  - { offsetInCU: 0x11E, offset: 0x11E, size: 0x8, addend: 0x0, symName: __ZN12_GLOBAL__N_15jvmtiE, symObjAddr: 0x22F50, symBinAddr: 0x2050, symSize: 0x0 }
  - { offsetInCU: 0x8D7D, offset: 0x8D7D, size: 0x8, addend: 0x0, symName: __ZL12time_to_exit.0, symObjAddr: 0x22F58, symBinAddr: 0x2058, symSize: 0x0 }
  - { offsetInCU: 0xADDF, offset: 0xADDF, size: 0x8, addend: 0x0, symName: __Z21HeapReferenceCallback22jvmtiHeapReferenceKindPK22jvmtiHeapReferenceInfolllPlS3_iPv, symObjAddr: 0xE90, symBinAddr: 0x600, symSize: 0xF0 }
  - { offsetInCU: 0xAF2A, offset: 0xAF2A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0xF80, symBinAddr: 0x6F0, symSize: 0x90 }
  - { offsetInCU: 0xB181, offset: 0xB181, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_test, symObjAddr: 0x1010, symBinAddr: 0x780, symSize: 0x1D0 }
  - { offsetInCU: 0xB507, offset: 0xB507, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_getRefCount, symObjAddr: 0x11E0, symBinAddr: 0x950, symSize: 0x20 }
  - { offsetInCU: 0xB548, offset: 0xB548, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_getRefThreadID, symObjAddr: 0x1200, symBinAddr: 0x970, symSize: 0x20 }
  - { offsetInCU: 0xB69D, offset: 0xB69D, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_createObjAndCallback, symObjAddr: 0x1220, symBinAddr: 0x990, symSize: 0x120 }
  - { offsetInCU: 0xB9A3, offset: 0xB9A3, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_16CallObjectMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x1530, symBinAddr: 0xCA0, symSize: 0xA4 }
  - { offsetInCU: 0xBA1A, offset: 0xBA1A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_14CallVoidMethodEP8_jobjectP10_jmethodIDz, symObjAddr: 0x1340, symBinAddr: 0xAB0, symSize: 0xB0 }
  - { offsetInCU: 0xBB4D, offset: 0xBB4D, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_createObjAndWait, symObjAddr: 0x13F0, symBinAddr: 0xB60, symSize: 0x130 }
  - { offsetInCU: 0xBF08, offset: 0xBF08, size: 0x8, addend: 0x0, symName: _Java_VThreadStackRefTest_endWait, symObjAddr: 0x1520, symBinAddr: 0xC90, symSize: 0x10 }
...
